import Request from '../common/request.js';
let request = new Request().http

// expertId 达人id

// 达人主页
export function expertHomePage(data) {
	return request(`/store/life/expertHomePage/${expertId}`, data, 'POST');
}

// 关注用户
export function follow(data) {
	return request(`/store/life/follow/${expertId}`, data, 'POST');
}

// 内容详情
export function lifeDetail(data) {
	return request('/store/life/lifeDetail', data, 'POST');
}

// 内容列表
export function lifeList(data) {
	return request('/store/life/lifeList', data, 'POST');
}

// 一级评论列表
export function listRootComments(data) {
	return request('/store/life/listRootComments', data, 'POST');
}

//二级评论列表
export function listSubComments(data) {
	return request('/store/life/listSubComments', data, 'POST');
}

//发表评论
export function postComment(data) {
	return request('/store/life/postComment', data, 'POST');
}

//内容分享
export function share(data) {
	return request('/store/life/share', data, 'POST');
}

//内容点赞/取消点赞
export function toggleLike(data) {
	return request('/store/life/toggleLike', data, 'POST');
}

//评论点赞
export function toggleLikeComments(data) {
	return request('/store/life/toggleLikeComments', data, 'POST');
}
